Summary:        Software library for MTP media players
Name:           libmtp
Version:        1.1.21
Release:        2%{?dist}
License:        LGPLv2+
URL:            http://libmtp.sourceforge.net/
Source0:        https://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch3000:      0001-doc-Don-t-document-internal-endian-macros.patch

BuildRequires:  make gcc libtool
BuildRequires:  pkgconfig(libusb-1.0) libgcrypt-devel
BuildRequires:  doxygen gettext-devel chrpath
Requires:       udev

%description
Libmtp provides a software library for communicating with MTP (Media Transfer Protocol) media 
players, typically audio players, video players etc.

%package examples
Summary:        Example programs for libmtp
Requires:       %{name} = %{version}-%{release}

%description examples
This package provides example programs for communicating with MTP devices.

%package devel
Summary:        Development files for libmtp
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides development files for the libmtp library for MTP media players.

%prep
%autosetup -p1

%build
%configure --disable-static --with-udev-rules=69-libmtp.rules 
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/libmtp.la
# replace _bindir links with symbolic links
rm -f %{buildroot}%{_bindir}/mtp-delfile
rm -f %{buildroot}%{_bindir}/mtp-getfile
rm -f %{buildroot}%{_bindir}/mtp-newfolder
rm -f %{buildroot}%{_bindir}/mtp-sendfile
rm -f %{buildroot}%{_bindir}/mtp-sendtr
pushd %{buildroot}%{_bindir}
ln -sf mtp-connect mtp-delfile
ln -sf mtp-connect mtp-getfile
ln -sf mtp-connect mtp-newfolder
ln -sf mtp-connect mtp-sendfile
ln -sf mtp-connect mtp-sendtr
popd

iconv -f iso-8859-1 -t utf-8 -o COPYING.utf8 COPYING
touch -r COPYING COPYING.utf8; mv -f COPYING.utf8 COPYING

mkdir -p -m 755 %{buildroot}%{_pkgdocdir}
install -p -m 644 AUTHORS README TODO %{buildroot}%{_pkgdocdir}
if [ %{buildroot}/usr/share/doc/%{name}-%{version}/html != %{buildroot}%{_pkgdocdir}/html ] ; then \
	mv %{buildroot}/usr/share/doc/%{name}-%{version}/html \
		%{buildroot}%{_pkgdocdir} ; \
fi
# touch generated files so that they always have the same time stamp.
touch -r configure.ac \
      %{buildroot}%{_includedir}/*.h \
      %{buildroot}%{_libdir}/pkgconfig/*.pc

chrpath --delete %{buildroot}{%{_bindir},/usr/lib/udev}/mtp*

%files
%license COPYING
%{_libdir}/libmtp.so.9*
/usr/lib/udev/rules.d/69-libmtp.rules
/usr/lib/udev/hwdb.d/69-libmtp.hwdb
/usr/lib/udev/mtp-probe

%files examples
%{_bindir}/mtp-*

%files devel
%{_pkgdocdir}
%{_includedir}/libmtp.h
%{_libdir}/libmtp.so
%{_libdir}/pkgconfig/libmtp.pc

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.21-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 1.1.21-1
- Upgrade to version 1.1.21

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.19-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.19-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.19-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 25 2022 Wang Guodong <gordonwwang@tencent.com> - 1.1.19-1
- package init.
